xmonad-contrib-0.12: Third party extensions for xmonad

Copyright | Devin Mullins <me@twifkak.com> Andrea Rossato <andrea.rossato@unibz.it>
License | BSD-style (see LICENSE)
Maintainer | Devin Mullins <me@twifkak.com> Andrea Rossato <andrea.rossato@unibz.it>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Prompt.Window

Contents

- Usage

Description

xprompt operations to bring windows to you, and bring you to windows.

Synopsis

- windowPromptGoto :: XPConfig -> X ()
- windowPromptBring :: XPConfig -> X ()
- windowPromptBringCopy :: XPConfig -> X ()
- data WindowPrompt

# Usage

WindowPrompt brings windows to you and you to windows. That is to say, it pops up a prompt with window names, in case you forgot where you left your XChat.

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Prompt
    import XMonad.Prompt.Window

and in the keys definition:

    , ((modm .|. shiftMask, xK_g     ), windowPromptGoto  def)
    , ((modm .|. shiftMask, xK_b     ), windowPromptBring def)

The autoComplete option is a handy complement here:

    , ((modm .|. shiftMask, xK_g     ), windowPromptGoto
                                               def { autoComplete = Just 500000 } )

The '500000' is the number of microseconds to pause before sending you to your new window. This is useful so that you don't accidentally send some keystrokes to the selected client.

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

windowPromptGoto :: XPConfig -> X () Source

windowPromptBring :: XPConfig -> X () Source

windowPromptBringCopy :: XPConfig -> X () Source

data WindowPrompt Source

Instances

XPrompt WindowPrompt Source |